Index: src/librt/primitives/nmg/nmg_fcut.c
===================================================================
--- src/librt/primitives/nmg/nmg_fcut.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_fcut.c	(working copy)
@@ -1982,14 +1982,14 @@
 	bu_log("\tvertexuses in fu that are on lintersect line:\n");
 	for (i=0; i<BU_PTBL_END(b); i++) {
 	    vu = (struct vertexuse *)BU_PTBL_GET(b, i);
-	    nmg_pr_vu_briefly(vu, "\t  ");
+	    nmg_pr_vu_briefly(vu, (char *)"\t  ");
 	}
 	bu_log("\tLoopuse in fu (x%x):\n", fu1);
 	for (BU_LIST_FOR(lu, loopuse, &fu1->lu_hd)) {
 	    bu_log("\tLOOPUSE x%x:\n", lu);
 	    if (BU_LIST_FIRST_MAGIC(&lu->down_hd) == NMG_VERTEXUSE_MAGIC) {
 		vu = BU_LIST_FIRST(vertexuse, &lu->down_hd);
-		nmg_pr_vu_briefly(vu, "\tVertex Loop: ");
+		nmg_pr_vu_briefly(vu, (char *)"\tVertex Loop: ");
 	    } else {
 		for (BU_LIST_FOR(eu, edgeuse, &lu->down_hd)) {
 		    struct edgeuse *eu_next;
@@ -1997,7 +1997,7 @@
 		    fastf_t eu_len;
 		    double inv_len;
 
-		    nmg_pr_eu_briefly(eu, "\t\t");
+		    nmg_pr_eu_briefly(eu, (char *)"\t\t");
 		    eu_next = BU_LIST_PNEXT_CIRC(edgeuse, eu);
 		    VSUB2(eu_dir, eu_next->vu_p->v_p->vg_p->coord, eu->vu_p->v_p->vg_p->coord);
 		    eu_len = MAGNITUDE(eu_dir);
@@ -2725,7 +2725,7 @@
     if (rt_g.NMG_debug&DEBUG_FCUT) {
 	bu_log("rs->fu1 = x%x\n", rs->fu1);
 	bu_log("rs->fu2 = x%x\n", rs->fu2);
-	nmg_pr_fu_briefly(rs->fu1, "");
+	nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	bu_log("%d vertices on intersect line\n", rs->nvu);
 	for (cur=0; cur<rs->nvu; cur++)
 	    bu_log("\tvu=x%x, v=x%x, lu=x%x\n", rs->vu[cur], rs->vu[cur]->v_p, nmg_find_lu_of_vu(rs->vu[cur]));
@@ -2872,7 +2872,7 @@
 
 		if (rt_g.NMG_debug&DEBUG_FCUT) {
 		    bu_log("\t\t new_eu = x%x\n", new_eu1);
-		    nmg_pr_fu_briefly(rs->fu1, "");
+		    nmg_pr_fu_briefly(rs->fu1, (char *)"");
 		}
 		if (old_eu) nmg_radial_join_eu(old_eu, new_eu1, rs->tol);
 
@@ -2914,7 +2914,7 @@
 
 	    if (rt_g.NMG_debug&DEBUG_FCUT) {
 		bu_log("\tjoin 2 singvu loops\n");
-		nmg_pr_fu_briefly(rs->fu1, "");
+		nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	    }
 	    if (old_eu) nmg_radial_join_eu(old_eu, new_eu1, rs->tol);
 
@@ -2948,7 +2948,7 @@
 
 	    if (rt_g.NMG_debug&DEBUG_FCUT) {
 		bu_log("\tjoin loops vu1 (x%x) is sing vu loop\n", vu1);
-		nmg_pr_fu_briefly(rs->fu1, "");
+		nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	    }
 	    if (old_eu) nmg_radial_join_eu(old_eu, new_eu1, rs->tol);
 
@@ -2985,7 +2985,7 @@
 
 	    if (rt_g.NMG_debug&DEBUG_FCUT) {
 		bu_log("\tjoin loops vu2 (x%x) is sing vu loop\n", vu2);
-		nmg_pr_fu_briefly(rs->fu1, "");
+		nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	    }
 
 	    if (old_eu) nmg_radial_join_eu(old_eu, new_eu1, rs->tol);
@@ -3017,7 +3017,7 @@
 	    if (rt_g.NMG_debug&DEBUG_FCUT) {
 		bu_log("\t join 2 loops\n");
 		bu_log("\t\tvu2 (x%x) replaced with new_vu2 x%x\n", vu2, new_vu2);
-		nmg_pr_fu_briefly(rs->fu1, "");
+		nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	    }
 
 	    if (old_eu) nmg_radial_join_eu(old_eu, new_eu1, rs->tol);
@@ -3032,12 +3032,12 @@
 
 	bu_log("ERROR in face cutter: something should have been cut!!\n");
 	bu_log("vu1=x%x, vu2=x%x\n", vu1, vu2);
-	nmg_pr_fu_briefly(rs->fu1, "");
+	nmg_pr_fu_briefly(rs->fu1, (char *)"");
 	bu_bomb("ERROR: face cutter didn't cut anything");
     }
 
     if (rt_g.NMG_debug&DEBUG_FCUT)
-	nmg_pr_fu_briefly(rs->fu1, "");
+	nmg_pr_fu_briefly(rs->fu1, (char *)"");
 }
 
 
@@ -3930,7 +3930,7 @@
 		bu_log("After LONE_V_ESPLIT, the final loop:\n");
 		lu = nmg_find_lu_of_vu(rs->vu[pos]);
 		NMG_CK_LOOPUSE(lu);
-		nmg_pr_lu(lu, "   ");
+		nmg_pr_lu(lu, (char *)"   ");
 		nmg_plot_lu_ray(lu, rs->vu[0], rs->vu[rs->nvu-1], rs->left);
 	    }
 	    break;
Index: src/librt/primitives/nmg/nmg_class.c
===================================================================
--- src/librt/primitives/nmg/nmg_class.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_class.c	(working copy)
@@ -114,7 +114,7 @@
  * N M G _ P R _ C L A S S _ S T A T U S
  */
 void
-nmg_pr_class_status(char *prefix, int status)
+nmg_pr_class_status(const char *prefix, int status)
 {
     bu_log("%s has classification status %s\n",
 	   prefix, nmg_class_status(status));
@@ -793,7 +793,7 @@
 {
     struct vertexuse *vup;
     pointp_t pt;
-    char *reason;
+    const char *reason;
     int status = 0;
     int class;
     struct vertex *sv;
@@ -928,7 +928,7 @@
     struct edgeuse *eup;
     point_t pt;
     pointp_t eupt, matept;
-    char *reason = "Unknown";
+    const char *reason = "Unknown";
     int class;
     vect_t e_min_pt;
     vect_t e_max_pt;
@@ -1013,7 +1013,7 @@
 	    (void)class_vu_vs_s(eu->vu_p, s, classlist, tol);
 	    (void)class_vu_vs_s(eu->eumate_p->vu_p, s, classlist, tol);
 	    nmg_euprint("class_eu_vs_s(): didn't this edge get cut?", eu);
-	    nmg_pr_eu(eu, "class_eu_vs_s():");
+	    nmg_pr_eu(eu, (char *)"class_eu_vs_s():");
 	}
 
 	bu_log("class_eu_vs_s(): wrote %s\n", buf);
@@ -1530,7 +1530,7 @@
     struct loopuse *q_lu;
     struct vertexuse *vu;
     uint32_t magic1;
-    char *reason = "Unknown";
+    const char *reason = "Unknown";
     int seen_error = 0;
     int status = 0;
 
@@ -1655,7 +1655,7 @@
 		    fclose(fp);
 		    bu_log("wrote %s\n", buf);
 		}
-		nmg_pr_lu(lu, "");
+		nmg_pr_lu(lu, (char *)"");
 		nmg_stash_model_to_file("class.g", nmg_find_model((uint32_t *)lu), "class_ls_vs_s: loop transits plane of shell/face?");
 		bu_free((char *)b, "nmg_pl_lu flag[]");
 	    }
@@ -2214,7 +2214,7 @@
 
     if (rt_g.NMG_debug & DEBUG_CLASSIFY) {
 	bu_log("nmg_get_interior_pt: Couldn't find interior point for lu x%x\n", lu);
-	nmg_pr_lu_briefly(lu, "");
+	nmg_pr_lu_briefly(lu, (char *)"");
     }
 
     VMOVE(pt, average_pt);
Index: src/librt/primitives/nmg/nmg_rt_segs.c
===================================================================
--- src/librt/primitives/nmg/nmg_rt_segs.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_rt_segs.c	(working copy)
@@ -65,7 +65,7 @@
 
 
 HIDDEN void
-print_seg_list(struct seg *seghead, int seg_count, char *s)
+print_seg_list(struct seg *seghead, int seg_count, const char *s)
 {
     struct seg *seg_p;
 
Index: src/librt/primitives/nmg/nmg_rt_isect.c
===================================================================
--- src/librt/primitives/nmg/nmg_rt_isect.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_rt_isect.c	(working copy)
@@ -350,7 +350,7 @@
  * Support routine for vertex_neighborhood()
  */
 HIDDEN void
-get_pole_dist_to_face(struct ray_data *rd, struct vertexuse *vu, fastf_t *Pole, fastf_t *Pole_prj_pt, double *Pole_dist, fastf_t *Pole_pca, fastf_t *pointA, fastf_t *leftA, fastf_t *pointB, fastf_t *leftB, fastf_t *polar_height_vect, char *Pole_name)
+get_pole_dist_to_face(struct ray_data *rd, struct vertexuse *vu, fastf_t *Pole, fastf_t *Pole_prj_pt, double *Pole_dist, fastf_t *Pole_pca, fastf_t *pointA, fastf_t *leftA, fastf_t *pointB, fastf_t *leftB, fastf_t *polar_height_vect, const char *Pole_name)
 {
     vect_t pca_to_pole_vect;
     vect_t VtoPole_prj;
Index: src/librt/primitives/nmg/nmg_pt_fu.c
===================================================================
--- src/librt/primitives/nmg/nmg_pt_fu.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_pt_fu.c	(working copy)
@@ -1350,7 +1350,7 @@
 	       V3ARGS(pt), __FILE__, __LINE__,
 	       ot_same_in, ot_opposite_out);
 	bu_log("fu=x%x\n",  fu);
-	nmg_pr_fu_briefly(fu, "");
+	nmg_pr_fu_briefly(fu, (char *)"");
 
 	plot_parity_error(fu, pt);
 
Index: src/librt/primitives/nmg/nmg_mod.c
===================================================================
--- src/librt/primitives/nmg/nmg_mod.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_mod.c	(working copy)
@@ -3114,7 +3114,7 @@
 
     if ((rt_g.NMG_debug & DEBUG_BASIC) || (rt_g.NMG_debug & DEBUG_CUTLOOP)) {
 	bu_log("nmg_loop_split_at_touching_jaunt(lu=x%x) START\n", lu);
-	nmg_pr_lu_briefly(lu, "");
+	nmg_pr_lu_briefly(lu, (char *)"");
     }
 
     /* first kill any accordion pleats */
@@ -3312,7 +3312,7 @@
 
     /* If we ever get here, we have failed to find a way to split this loop!!!! */
     bu_log("nmg_loop_split_at_touching_jaunt: Could not find a way to split lu x%x\n", lu);
-    nmg_pr_lu_briefly(lu, " ");
+    nmg_pr_lu_briefly(lu, (char *)" ");
     nmg_stash_model_to_file("jaunt.g", nmg_find_model(&lu->l.magic), "Can't split lu");
     bu_bomb("nmg_loop_split_at_touching_jaunt: Can't split lu\n");
 
@@ -4543,7 +4543,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vb) {
 	    bu_log("nmg_unbreak_edge: eu1 does not got to/from correct vertices, x%x, %x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 1\n");
 	}
 	eu2 = BU_LIST_PNEXT_CIRC(edgeuse, eu1);
@@ -4554,7 +4554,7 @@
 	if (eu2->vu_p->v_p != vb || eu2->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: about to kill eu2, but does not got to/from correct vertices, x%x, x%x\n",
 		   eu2->vu_p->v_p, eu2->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu2, " ");
+	    nmg_pr_eu_briefly(eu2, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 3\n");
 	}
 
@@ -4564,7 +4564,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: extended eu1 does not got to/from correct vertices, x%x, x%x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 2\n");
 	}
 
@@ -4578,7 +4578,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: unbroken eu1 (after eu2 killed) does not got to/from correct vertices, x%x, x%x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 4\n");
 	}
 	eu1 = eu1->eumate_p->radial_p;
@@ -4758,7 +4758,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vb) {
 	    bu_log("nmg_unbreak_edge: eu1 does not got to/from correct vertices, x%x, %x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 1\n");
 	}
 	eu2 = BU_LIST_PNEXT_CIRC(edgeuse, eu1);
@@ -4769,7 +4769,7 @@
 	if (eu2->vu_p->v_p != vb || eu2->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: about to kill eu2, but does not got to/from correct vertices, x%x, x%x\n",
 		   eu2->vu_p->v_p, eu2->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu2, " ");
+	    nmg_pr_eu_briefly(eu2, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 3\n");
 	}
 
@@ -4779,7 +4779,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: extended eu1 does not got to/from correct vertices, x%x, x%x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 2\n");
 	}
 
@@ -4793,7 +4793,7 @@
 	if (eu1->vu_p->v_p != va || eu1->eumate_p->vu_p->v_p != vc) {
 	    bu_log("nmg_unbreak_edge: unbroken eu1 (after eu2 killed) does not got to/from correct vertices, x%x, x%x\n",
 		   eu1->vu_p->v_p, eu1->eumate_p->vu_p->v_p);
-	    nmg_pr_eu_briefly(eu1, " ");
+	    nmg_pr_eu_briefly(eu1, (char *)" ");
 	    bu_bomb("nmg_unbreak_edge 4\n");
 	}
 	eu1 = eu1->eumate_p->radial_p;
Index: src/librt/primitives/nmg/nmg_inter.c
===================================================================
--- src/librt/primitives/nmg/nmg_inter.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_inter.c	(working copy)
@@ -4742,9 +4742,9 @@
 		    if (rt_g.NMG_debug & DEBUG_POLYSECT) {
 			bu_log("Faceuses after nmg_ebreaker() call\n");
 			bu_log("fu1:\n");
-			nmg_pr_fu_briefly(fu1, "\t");
+			nmg_pr_fu_briefly(fu1, (char *)"\t");
 			bu_log("fu2:\n");
-			nmg_pr_fu_briefly(fu2, "\t");
+			nmg_pr_fu_briefly(fu2, (char *)"\t");
 		    }
 		    nmg_enlist_vu(is, vu1_midpt, 0, dist[0]);
 		    /* Neither old nor new edgeuse need further handling */
@@ -6957,9 +6957,9 @@
 	       pl2[X], pl2[Y], pl2[Z], pl2[W]);
 	bu_log("Cosine of angle between planes = %g\n", VDOT(pl1, pl2));
 	bu_log("fu1:\n");
-	nmg_pr_fu_briefly(fu1, "\t");
+	nmg_pr_fu_briefly(fu1, (char *)"\t");
 	bu_log("fu2:\n");
-	nmg_pr_fu_briefly(fu2, "\t");
+	nmg_pr_fu_briefly(fu2, (char *)"\t");
 	nmg_fu_touchingloops(fu1);
 	nmg_fu_touchingloops(fu2);
     }
Index: src/librt/primitives/nmg/nmg_pr.c
===================================================================
--- src/librt/primitives/nmg/nmg_pr.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_pr.c	(working copy)
@@ -49,7 +49,7 @@
  *
  * Convert orientation code to string.
  */
-char *
+const char *
 nmg_orientation(int orientation)
 {
     switch (orientation) {
@@ -945,8 +945,8 @@
     const struct faceuse *fu;
     const struct face *f;
     const struct shell *s;
-    char *lu_orient;
-    char *fu_orient;
+    const char *lu_orient;
+    const char *fu_orient;
 
     NMG_CK_EDGEUSE(eu);
     lu = (struct loopuse *)NULL;
Index: src/librt/primitives/nmg/nmg_info.c
===================================================================
--- src/librt/primitives/nmg/nmg_info.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_info.c	(working copy)
@@ -573,7 +573,7 @@
     if (NEAR_ZERO(area, tol->dist_sq)) {
 	if (RT_G_DEBUG & DEBUG_MATH) {
 	    bu_log("nmg_loop_is_ccw: Loop area (%g) is less than tol->dist_sq (%g)\n", area, tol->dist_sq);
-	    nmg_pr_lu_briefly(lu, " ");
+	    nmg_pr_lu_briefly(lu, (char *)" ");
 	}
 	ret = 0;
 	goto out;
Index: src/librt/primitives/nmg/nmg_bool.c
===================================================================
--- src/librt/primitives/nmg/nmg_bool.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_bool.c	(working copy)
@@ -249,7 +249,7 @@
 
 
 void
-stash_shell(struct shell *s, char *file_name, char *title, const struct bn_tol *tol)
+stash_shell(struct shell *s, const char *file_name, const char *title, const struct bn_tol *tol)
 {
     struct model *m;
     struct nmgregion *r;
@@ -747,7 +747,7 @@
 	    }
 	}
 	if (rt_g.NMG_debug & DEBUG_BOOL)
-	    nmg_pr_s(sA, "");
+	    nmg_pr_s(sA, (char *)"");
 
 	bu_log("nmg_bool: sA is unclosed, barging ahead\n");
     }
@@ -762,7 +762,7 @@
 	    }
 	}
 	if (rt_g.NMG_debug & DEBUG_BOOL)
-	    nmg_pr_s(sB, "");
+	    nmg_pr_s(sB, (char *)"");
 	bu_log("nmg_bool: sB is unclosed, barging ahead\n");
     }
 
@@ -1471,9 +1471,9 @@
 
     if (rt_g.NMG_debug & DEBUG_BOOL) {
 	bu_log("Before model fuse\nShell A:\n");
-	nmg_pr_s_briefly(BU_LIST_FIRST(shell, &tl->tr_d.td_r->s_hd), "");
+	nmg_pr_s_briefly(BU_LIST_FIRST(shell, &tl->tr_d.td_r->s_hd), (char *)"");
 	bu_log("Shell B:\n");
-	nmg_pr_s_briefly(BU_LIST_FIRST(shell, &tr->tr_d.td_r->s_hd), "");
+	nmg_pr_s_briefly(BU_LIST_FIRST(shell, &tr->tr_d.td_r->s_hd), (char *)"");
     }
 
     /* move operands into the same model */
Index: src/librt/primitives/nmg/nmg_misc.c
===================================================================
--- src/librt/primitives/nmg/nmg_misc.c	(revision 54124)
+++ src/librt/primitives/nmg/nmg_misc.c	(working copy)
@@ -273,7 +273,7 @@
 
 	lu = eu->up.lu_p;
 
-	nmg_pr_lu_briefly(lu, "");
+	nmg_pr_lu_briefly(lu, (char *)"");
     }
 
     bu_ptbl_free(&eu_tab);
@@ -3164,7 +3164,7 @@
 		}
 	    } else {
 		bu_log("nmg_propagate_normals: found an unoriented face!\n");
-		nmg_pr_fu_briefly(fu, "");
+		nmg_pr_fu_briefly(fu, (char *)"");
 		bu_bomb("nmg_propagate_normals: found an unoriented face!\n");
 	    }
 
@@ -3706,7 +3706,7 @@
 	    fu_in_s = NMG_INDEX_GETP(faceuse, trans_tbl, fu);
 	    if (!fu_in_s) {
 		bu_log("fu x%x does not have correspondence in original shell\n", fu);
-		nmg_pr_fu_briefly(fu, "");
+		nmg_pr_fu_briefly(fu, (char *)"");
 		continue;
 	    }
 	    if (fu_in_s->orientation != OT_SAME)
@@ -4566,7 +4566,7 @@
     struct bu_external ext;
     int ret;
     int flags;
-    char *name="error.s";
+    const char *name="error.s";
 
     bu_log("nmg_stash_model_to_file('%s', x%x, %s)\n", filename, m, title);
 
@@ -5331,8 +5331,8 @@
 		       V4ARGS(fu2->f_p->g.plane_p->N));
 		bu_log("\tfus x%x and x%x, faces x%x and x%x\n" ,
 		       fu1, fu2, fu1->f_p, fu2->f_p);
-		nmg_pr_fu_briefly(fu1, "fu1: ");
-		nmg_pr_fu_briefly(fu2, "fu2: ");
+		nmg_pr_fu_briefly(fu1, (char *)"fu1: ");
+		nmg_pr_fu_briefly(fu2, (char *)"fu2: ");
 		bu_bomb("Can't find plane intersection\n");
 	    }
 	    /* Make the start point at closest approach to old vertex */
@@ -6200,7 +6200,7 @@
 				  vu1->v_p->vg_p->coord, vu2->v_p->vg_p->coord,
 				  tol))
 		bu_log("\tPoints are collinear\n");
-	    nmg_pr_fu_briefly(new_fu, " ");
+	    nmg_pr_fu_briefly(new_fu, (char *)" ");
 	}
 	nmg_face_bb(new_fu->f_p, tol);
 
@@ -7767,7 +7767,7 @@
 
 	    if (area <= 0.0) {
 		bu_log("Bad lu:\n");
-		nmg_pr_lu_briefly(lu, " ");
+		nmg_pr_lu_briefly(lu, (char *)" ");
 		nmg_kfu(new_fu);
 		bu_bomb("nmg_make_connect_faces: Failed to calculate plane eqn\n");
 	    } else {
@@ -8412,7 +8412,7 @@
 		    if (eu->eumate_p->vu_p->v_p != eu2->vu_p->v_p) {
 			/* this is a problem! */
 			bu_log("nmg_kill_cracks: found a strange crack at eu1=x%x, eu2=x%x\n", eu, eu2);
-			nmg_pr_lu_briefly(lu, "");
+			nmg_pr_lu_briefly(lu, (char *)"");
 			bu_bomb("nmg_kill_cracks: found a strange crack\n");
 		    }
 
Index: src/librt/primitives/bot/bot.c
===================================================================
--- src/librt/primitives/bot/bot.c	(revision 54124)
+++ src/librt/primitives/bot/bot.c	(working copy)
@@ -1203,15 +1203,15 @@
 }
 
 
-static char *unoriented="unoriented";
-static char *ccw="counter-clockwise";
-static char *cw="clockwise";
-static char *unknown_orientation="unknown orientation";
-static char *surface="\tThis is a surface with no volume\n";
-static char *solid="\tThis is a solid object (not just a surface)\n";
-static char *plate="\tThis is a FASTGEN plate mode solid\n";
-static char *nocos="\tThis is a plate mode solid with no obliquity angle effect\n";
-static char *unknown_mode="\tunknown mode\n";
+static const char *unoriented="unoriented";
+static const char *ccw="counter-clockwise";
+static const char *cw="clockwise";
+static const char *unknown_orientation="unknown orientation";
+static const char *surface="\tThis is a surface with no volume\n";
+static const char *solid="\tThis is a solid object (not just a surface)\n";
+static const char *plate="\tThis is a FASTGEN plate mode solid\n";
+static const char *nocos="\tThis is a plate mode solid with no obliquity angle effect\n";
+static const char *unknown_mode="\tunknown mode\n";
 
 /**
  * R T _ B O T _ D E S C R I B E
@@ -1226,7 +1226,7 @@
     struct rt_bot_internal *bot_ip =
 	(struct rt_bot_internal *)ip->idb_ptr;
     char buf[256];
-    char *orientation, *mode;
+    const char *orientation, *mode;
     size_t i;
 
     size_t badVertexCount = 0;
@@ -1321,7 +1321,7 @@
 	    bu_vls_strcat(str, "\n");
 	}
 	if (bot_ip->mode == RT_BOT_PLATE || bot_ip->mode == RT_BOT_PLATE_NOCOS) {
-	    char *face_mode;
+	    const char *face_mode;
 
 	    if (BU_BITTEST(bot_ip->face_mode, i))
 		face_mode = "appended to hit point";
@@ -1667,7 +1667,7 @@
 }
 
 
-static char *modes[]={
+static const char *modes[]={
     "ERROR: Unrecognized mode",
     "surf",
     "volume",
@@ -1676,7 +1676,7 @@
 };
 
 
-static char *orientation[]={
+static const char *orientation[]={
     "ERROR: Unrecognized orientation",
     "no",
     "rh",
@@ -1684,7 +1684,7 @@
 };
 
 
-static char *los[]={
+static const char *los[]={
     "center",
     "append"
 };
Index: src/librt/primitives/dsp/dsp.c
===================================================================
--- src/librt/primitives/dsp/dsp.c	(revision 54124)
+++ src/librt/primitives/dsp/dsp.c	(working copy)
@@ -4198,7 +4198,7 @@
 dsp_get_data(struct rt_dsp_internal *dsp_ip, const mat_t mat, const struct db_i *dbip)
 {
     mat_t tmp;
-    char *p;
+    const char *p;
 
     /* Apply Modeling transform */
     MAT_COPY(tmp, dsp_ip->dsp_stom);
Index: src/librt/vshoot.c
===================================================================
--- src/librt/vshoot.c	(revision 54124)
+++ src/librt/vshoot.c	(working copy)
@@ -120,7 +120,7 @@
     auto vect_t inv_dir;	/* inverses of ap->a_ray.r_dir */
     struct bu_bitv *solidbits;	/* bits for all solids shot so far */
     struct bu_ptbl *regionbits;	/* bits for all involved regions */
-    char *status;
+    const char *status;
     auto struct partition InitialPart;	/* Head of Initial Partitions */
     auto struct partition FinalPart;	/* Head of Final Partitions */
     int nrays = 1;			/* for now */
Index: src/librt/timer42.c
===================================================================
--- src/librt/timer42.c	(revision 54124)
+++ src/librt/timer42.c	(working copy)
@@ -101,7 +101,7 @@
 {
     struct timeval tdiff;
     register time_t t;
-    register char *cp;
+    register const char *cp;
     register int i;
     int ms;
 
Index: src/librt/tcl.c
===================================================================
--- src/librt/tcl.c	(revision 54124)
+++ src/librt/tcl.c	(working copy)
@@ -57,7 +57,7 @@
  ************************************************************************/
 
 struct dbcmdstruct {
-    char *cmdname;
+    const char *cmdname;
     int (*cmdfunc)();
 };
 
Index: src/librt/db_tree.c
===================================================================
--- src/librt/db_tree.c	(revision 54124)
+++ src/librt/db_tree.c	(working copy)
@@ -923,7 +923,7 @@
 		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
-		bu_free(tp->tr_l.tl_name, "tl_name");
+		bu_free((genptr_t)tp->tr_l.tl_name, "tl_name");
 		tp->tr_l.tl_name = NULL;
 		tp->tr_op = OP_NOP;
 		goto out;
@@ -946,7 +946,7 @@
 		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
-		bu_free(tp->tr_l.tl_name, "tl_name");
+		bu_free((genptr_t)tp->tr_l.tl_name, "tl_name");
 		tp->tr_l.tl_name = NULL;
 		tp->tr_op = OP_NOP;
 		goto out;
@@ -972,7 +972,7 @@
 		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
-		bu_free(tp->tr_l.tl_name, "tl_name");
+		bu_free((genptr_t)tp->tr_l.tl_name, "tl_name");
 		tp->tr_l.tl_name = NULL;
 		tp->tr_op = OP_NOP;
 	    }
@@ -1374,7 +1374,7 @@
 		struct nmgregion *r = tp->tr_d.td_r;
 		if (tp->tr_d.td_name) {
 		    bu_free((char *)tp->tr_d.td_name, "region name");
-		    tp->tr_d.td_name = (const char *)NULL;
+		    tp->tr_d.td_name = NULL;
 		}
 		if (r == (struct nmgregion *)NULL) {
 		    break;
@@ -1396,7 +1396,7 @@
 		bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
 		tp->tr_l.tl_mat = NULL;
 	    }
-	    bu_free(tp->tr_l.tl_name, "tl_name");
+	    bu_free((genptr_t)tp->tr_l.tl_name, "tl_name");
 	    tp->tr_l.tl_name = NULL;
 	    break;
 
Index: src/librt/bundle.c
===================================================================
--- src/librt/bundle.c	(revision 54124)
+++ src/librt/bundle.c	(working copy)
@@ -80,7 +80,7 @@
     fastf_t last_bool_start;
     struct bu_bitv *solidbits;	/* bits for all solids shot so far */
     struct bu_ptbl *regionbits;	/* table of all involved regions */
-    char *status;
+    const char *status;
     auto struct partition InitialPart;	/* Head of Initial Partitions */
     auto struct partition FinalPart;	/* Head of Final Partitions */
     struct soltab **stpp;
Index: src/librt/db_lookup.c
===================================================================
--- src/librt/db_lookup.c	(revision 54124)
+++ src/librt/db_lookup.c	(working copy)
@@ -341,7 +341,7 @@
 db_pr_dir(const struct db_i *dbip)
 {
     const struct directory *dp;
-    char *flags;
+    const char *flags;
     int i;
 
     RT_CK_DBI(dbip);
Index: src/librt/db_anim.c
===================================================================
--- src/librt/db_anim.c	(revision 54124)
+++ src/librt/db_anim.c	(working copy)
@@ -71,7 +71,7 @@
 }
 
 
-static char *db_anim_matrix_strings[] = {
+static const char *db_anim_matrix_strings[] = {
     "(nope)",
     "ANM_RSTACK",
     "ANM_RARC",
Index: src/librt/bbox.c
===================================================================
--- src/librt/bbox.c	(revision 54124)
+++ src/librt/bbox.c	(working copy)
@@ -449,7 +449,7 @@
 	RT_GET_TREE(tp, &rt_uniresource);
 	RT_TREE_INIT(tp);
 	tp->tr_l.tl_op = OP_SOLID;
-	tp->tr_l.tl_name = "dummy";
+	tp->tr_l.tl_name = (char *)"dummy";
 	tp->tr_l.tl_mat = (matp_t)NULL;
 	tp->tr_a.tu_stp = rt_find_solid(rtip, dp->d_namep);
 	combp->tree = tp;
Index: src/librt/bool.c
===================================================================
--- src/librt/bool.c	(revision 54124)
+++ src/librt/bool.c	(working copy)
@@ -1515,7 +1515,7 @@
     int hits_needed;
     int ret = 0;
     int indefinite_outpt = 0;
-    char *reason = (char *)NULL;
+    const char *reason = (const char *)NULL;
     fastf_t diff;
 
 #define HITS_TODO (hits_needed - hits_avail)
Index: src/librt/shoot.c
===================================================================
--- src/librt/shoot.c	(revision 54124)
+++ src/librt/shoot.c	(working copy)
@@ -861,7 +861,7 @@
     struct bu_bitv *backbits=NULL;	/* bits for all solids using pieces that need to be intersected behind
 					   the ray start point */
     struct bu_ptbl *regionbits;	/* table of all involved regions */
-    char *status;
+    const char *status;
     auto struct partition InitialPart;	/* Head of Initial Partitions */
     auto struct partition FinalPart;	/* Head of Final Partitions */
     struct soltab **stpp;
Index: src/librt/search.h
===================================================================
--- src/librt/search.h	(revision 54124)
+++ src/librt/search.h	(working copy)
@@ -128,7 +128,7 @@
 #define e_len		p_un.ex._e_len
 
 typedef struct _option {
-    char *name;				/* option name */
+    const char *name;				/* option name */
     enum db_search_ntype token;			/* token type */
     int (*create)(char *, char ***, int, struct db_plan_t **, int *);	/* create function */
 #define O_NONE		0x01			/* no call required */
Index: src/nirt/nirt.c
===================================================================
--- src/nirt/nirt.c	(revision 54124)
+++ src/nirt/nirt.c	(working copy)
@@ -84,7 +84,7 @@
 
 int do_backout = 0;			/* Backout before shooting? */
 int overlap_claims = OVLP_RESOLVE;	/* Rebuild/retain overlaps? */
-char *ocname[4];
+const char *ocname[4];
 int silent_flag = SILENT_UNSET;	/* Refrain from babbling? */
 int nirt_debug = 0;			/* Control of diagnostics */
 
@@ -200,7 +200,7 @@
 	return; /* null char ptr */
     }
 
-    p = strtok(a, "\t ");
+    p = strtok(a, (char *)"\t ");
     while (p) {
 
 	/* make sure we have space */
@@ -226,7 +226,7 @@
  * string is a literal or a file name
  */
 static void
-enqueue_script(struct bu_list *qp, int type, char *string)
+enqueue_script(struct bu_list *qp, int type, const char *string)
 {
     struct script_rec *srp;
     FILE *cfPtr;
@@ -271,7 +271,7 @@
  * text is for the title line
  */
 static void
-show_scripts(struct bu_list *sl, char *text)
+show_scripts(struct bu_list *sl, const char *text)
 {
     int i;
     struct script_rec *srp;
@@ -389,7 +389,7 @@
     while ((Ch = bu_getopt(argc, argv, OPT_STRING)) != -1) {
 	switch (Ch) {
 	    case 'A':
-		attrib_add(bu_optarg, &need_prep);
+		attrib_add((char *)bu_optarg, &need_prep);
 		break;
 	    case 'B':
 		rt_bot_minpieces = atoi(bu_optarg);
Index: src/nirt/read_mat.c
===================================================================
--- src/nirt/read_mat.c	(revision 54124)
+++ src/nirt/read_mat.c	(working copy)
@@ -116,7 +116,7 @@
     dir2ae();
 
     targ2grid();
-    shoot("", 0, rtip);
+    shoot((char *)"", 0, rtip);
 }
 
 /*
Index: src/nirt/nirt.h
===================================================================
--- src/nirt/nirt.h	(revision 54124)
+++ src/nirt/nirt.h	(working copy)
@@ -87,10 +87,10 @@
 
 /** DATA STRUCTURES */
 typedef struct {
-    char *com_name;		/* for invoking */
+    const char *com_name;		/* for invoking */
     void (*com_func)();          /* what to do?      	         */
-    char *com_desc;		/* Help description */
-    char *com_args;		/* Command arguments for usage */
+    const char *com_desc;		/* Help description */
+    const char *com_args;		/* Command arguments for usage */
 } com_table;
 
 struct VarTable {
Index: src/nirt/usrfmt.h
===================================================================
--- src/nirt/usrfmt.h	(revision 54124)
+++ src/nirt/usrfmt.h	(working copy)
@@ -41,7 +41,7 @@
 } outitem;
 
 typedef struct outval_tag {
-    char *name;
+    const char *name;
     int code_nm;
     int type;
     union ovv {
Index: src/util/rle_args.c
===================================================================
--- src/util/rle_args.c	(revision 54124)
+++ src/util/rle_args.c	(working copy)
@@ -47,7 +47,7 @@
 		break;
 	    case 'C':
 		{
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 		    int *conp = *background;
 
 		    /* premature null => atoi gives zeros */
@@ -70,7 +70,7 @@
 	}
 	bu_optind++;
     } else {
-	*infile = "-";
+	*infile = (char *)"-";
     }
     if (argv[bu_optind] != NULL) {
 	if (bu_file_exists(argv[bu_optind], NULL)) {
Index: src/util/bwhist.c
===================================================================
--- src/util/bwhist.c	(revision 54124)
+++ src/util/bwhist.c	(working copy)
@@ -39,7 +39,7 @@
 int verbose = 0;
 FBIO *fbp;
 
-static char *Usage = "usage: bwhist [-v] [file.bw]\n";
+static const char *Usage = "usage: bwhist [-v] [file.bw]\n";
 
 
 int
Index: src/util/sun-pix.c
===================================================================
--- src/util/sun-pix.c	(revision 54124)
+++ src/util/sun-pix.c	(working copy)
@@ -156,7 +156,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	fp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pix-sun.c
===================================================================
--- src/util/pix-sun.c	(revision 54124)
+++ src/util/pix-sun.c	(working copy)
@@ -36,9 +36,9 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "hs:w:n:d";
+const char *options = "hs:w:n:d";
 char optflags[sizeof(options)];
-char *progname = "(noname)";
+const char *progname = "(noname)";
 int dither = 0;
 
 #define MAPSIZE 256   /* Number of unique color values in Sun Colormap */
Index: src/util/pixscale.c
===================================================================
--- src/util/pixscale.c	(revision 54124)
+++ src/util/pixscale.c	(working copy)
@@ -391,7 +391,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	buffp = stdin;
     } else {
 	file_name = argv[bu_optind];
